org.apache.http.impl.auth

## Class BasicScheme

- java.lang.Object
- - org.apache.http.impl.auth.AuthSchemeBase
  - - org.apache.http.impl.auth.RFC2617Scheme
    - - org.apache.http.impl.auth.BasicScheme

- All Implemented Interfaces:
    Serializable ， AuthScheme ， ContextAwareAuthScheme

      public class BasicScheme
      extends RFC2617Scheme

  RFC 2617定义的基本认证方案。
  从以下版本开始：
    4
  另请参见：
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.auth.AuthSchemeBase

      `challengeState`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `BasicScheme()`
    `BasicScheme(ChallengeState challengeState)` 已过时。 （4.3）不要使用。
    `BasicScheme(Charset credentialsCharset)`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Header` | `authenticate(Credentials credentials, HttpRequest request)` 已过时。 （4.2）使用`ContextAwareAuthScheme.authenticate( Credentials, HttpRequest, org.apache.http.protocol.HttpContext)`
    `Header` | `authenticate(Credentials credentials, HttpRequest request, HttpContext context)` 为给定的一组`Credentials`生成基本授权头。
    `static Header` | `authenticate(Credentials credentials, String charset, boolean proxy)` 已过时。 （4.3）使用`authenticate(Credentials, HttpRequest, HttpContext)` 。
    `String` | `getSchemeName()` 返回基本认证方案的文字指定。
    `boolean` | `isComplete()` 测试基本认证过程是否完成。
    `boolean` | `isConnectionBased()` 退货 `false` 。
    `void` | `processChallenge(Header header)` 处理基本挑战
    `String` | `toString()`

    - ### Methods inherited from class org.apache.http.impl.auth.RFC2617Scheme

      `getCredentialsCharset, getParameter, getParameters, getRealm, parseChallenge`

    - ### Methods inherited from class org.apache.http.impl.auth.AuthSchemeBase

      `getChallengeState, isProxy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### 构造方法详细信息

    - #### BasicScheme

          public BasicScheme(Charset credentialsCharset)

      从以下版本开始：
        4.3

    - #### BasicScheme

          @Deprecated
          public BasicScheme(ChallengeState challengeState)

      已过时。 （4.3）不要使用。
      创建具有给定挑战状态的 `BasicScheme`的实例。
      从以下版本开始：
        4.2

    - #### BasicScheme

          public BasicScheme()

  - ### 方法详细信息

    - #### getSchemeName

          public String getSchemeName()

      返回基本认证方案的文字指定。
      结果
        `basic`

    - #### processChallenge

          public void processChallenge(Header header)
                                throws MalformedChallengeException

      处理基本挑战
      Specified by:
        `processChallenge`在界面 `AuthScheme`
      重写：
        `processChallenge`在 `AuthSchemeBase`
      参数
        `header` - 挑战头
      异常
        `MalformedChallengeException` - 如果认证挑战格式 `MalformedChallengeException` ，则会抛出此错误

    - #### isComplete

          public boolean isComplete()

      测试基本认证过程是否完成。
      结果
        `true`如果基本授权已被处理， `false`否则。

    - #### isConnectionBased

          public boolean isConnectionBased()

      退货`false` 。 基本认证方案是基于请求的。
      结果
        `false` 。

    - #### authenticate

          @Deprecated
          public Header authenticate(Credentials credentials,
                                       HttpRequest request)
                              throws AuthenticationException

      已过时。 （4.2）使用`ContextAwareAuthScheme.authenticate( Credentials, HttpRequest, org.apache.http.protocol.HttpContext)`
      说明从界面： `AuthScheme`复制
      为给定的一组`Credentials`生成一个授权字符串。
      参数
        `credentials` - 用于验证的一组凭据
        `request` - 请求被认证
      结果
        授权字符串
      异常
        `AuthenticationException` - 如果授权字符串由于身份验证失败而无法生成

    - #### authenticate

          public Header authenticate(Credentials credentials,
                            HttpRequest request,
                            HttpContext context)
                              throws AuthenticationException

      为给定的一组`Credentials`生成基本授权头。
      Specified by:
        `authenticate`在界面 `ContextAwareAuthScheme`
      重写：
        `authenticate`在 `AuthSchemeBase`
      参数
        `credentials` - 要用于身份验证的一组凭据
        `request` - 请求被认证
        `context` - HTTP上下文
      结果
        一个基本的授权字符串
      异常
        `InvalidCredentialsException` - 如果认证证书无效或不适用于此认证方案
        `AuthenticationException` - 如果授权字符串由于身份验证失败而无法生成

    - #### authenticate

          @Deprecated
          public static Header authenticate(Credentials credentials,
                                       String charset,
                                       boolean proxy)

      已过时。 （4.3）使用`authenticate(Credentials, HttpRequest, HttpContext)` 。
      返回给定的`Credentials`和字符集的基本`Authorization`标头值。
      参数
        `credentials` - 要编码的凭据。
        `charset` - 用于编码凭据的字符集
      结果
        一个基本的授权头

    - #### toString

          public String toString()

      重写：
        `toString`在 `AuthSchemeBase`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585